package com.diagbot.client.hystrix;

import com.diagbot.client.BigDataServiceClient;
import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description:调用大数据对接层服务
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@Component
@Slf4j
public class BigDataServiceHystrix implements BigDataServiceClient {
    @Override
    public Response<ResponseData> bayesPageData(SearchData searchData) {
        log.error("【hystrix】调用{}异常", "bayesPageData");
        return null;
    }

    @Override
    public Response<GdbResponse> highRiskPageData(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "highRiskPageData");
        return null;
    }
}
